SelectionEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Class SelectionEvent

    java.lang.Object
      com.bbn.openmap.omGraphics.event.SelectionEvent

    public class SelectionEvent

extends java.lang.Object

An event that a SelectionProvider gives to a SelectionListener, in order to notify it of OMGraphics that have been selected and deselected.

Field Summary
`protected OMGraphic` | `graphic`
`protected DrawingToolRequestor` | `requestor`
`protected boolean` | `selected`
`protected java.lang.Object` | `source`

Constructor Summary
`SelectionEvent(java.lang.Object source, OMGraphic omg, DrawingToolRequestor dtr, boolean selectionStatus)`

Method Summary
`OMGraphic` | `getOMGraphic()`
`DrawingToolRequestor` | `getRequestor()`
`java.lang.Object` | `getSource()`
`boolean` | `isSelected()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.lang.Object source

### graphic

    protected OMGraphic graphic

### requestor

    protected DrawingToolRequestor requestor

### selected

    protected boolean selected

Constructor Detail

### SelectionEvent

    public SelectionEvent(java.lang.Object source,
                          OMGraphic omg,
                          DrawingToolRequestor dtr,
                          boolean selectionStatus)

Method Detail

### getSource

    public java.lang.Object getSource()

### getOMGraphic

    public OMGraphic getOMGraphic()

### getRequestor

    public DrawingToolRequestor getRequestor()

### isSelected

    public boolean isSelected()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details